xcb_xc_misc_get_xid_range(3)

NAME
xcb_xc_misc_get_xid_range -

SYNOPSIS
#include <xcb/xc_misc.h>

  Request function

xcb_xc_misc_get_xid_range_cookie_t xcb_xc_misc_get_xid_range(xcb_connection_t *conn,

  Reply datastructure

typedef struct xcb_xc_misc_get_xid_range_reply_t {
    uint8_t  response_type;
    uint8_t  pad0;
    uint16_t sequence;
    uint32_t length;
    uint32_t start_id;
    uint32_t count;
} xcb_xc_misc_get_xid_range_reply_t;

  Reply function

xcb_xc_misc_get_xid_range_reply_t *xcb_xc_misc_get_xid_range_reply(xcb_connection_t *conn, xcb_xc_misc_get_xid_range_cookie_t cookie, xcb_generic_error_t **e);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

REPLY FIELDS

response_type
    The type of this reply, in this case XCB_XC_MISC_GET_XID_RANGE. This field is also present in the xcb_generic_reply_t and can be used to tell replies apart from each other.

sequence
    The sequence number of the last request processed by the X11 server.

length
    The length of the reply, in words (a word is 4 bytes).

start_id
    TODO: NOT YET DOCUMENTED.

count
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_xc_misc_get_xid_range_cookie_t. Errors have to be handled when calling the reply function xcb_xc_misc_get_xid_range_reply. If you want to handle errors in the event loop instead, use xcb_xc_misc_get_xid_range_unchecked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from xc_misc.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.